#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQuickView>

#include "CachingNetworkManagerFactory.h"

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);
    app.setApplicationName("com.ubuntu.shorts");

    //qSetMessagePattern("%{file}- %{line}: %{function} M: %{message}");

    QQuickView view;

    CachingNetworkManagerFactory *managerFactory = new CachingNetworkManagerFactory();
    view.engine()->setNetworkAccessManagerFactory(managerFactory);

    view.setSource(QUrl(QStringLiteral("qrc:///qml/shorts-app.qml")));
//    view.setSource(QUrl("./share/qml/shorts-app.qml"));
    view.setResizeMode(QQuickView::SizeRootObjectToView);
    view.show();
    return app.exec();
}

